@font-face {
  font-family: "SF Pro";
  font-weight: 400;
  src: url("../fonts/sf-pro-text_regular.woff2");
}
@font-face {
  font-family: "SF Pro";
  font-weight: 600;
  src: url("../fonts/sf-pro-text_semibold.woff2");
}
.hidden {
  display: none !important;
}

.apple {
  min-height: 100vh;
  width: 100%;
  display: flex;
  flex-direction: column;
  font-family: SF Pro, sans-serif;
  background: #fff;
}
.apple.has-error .apple-error {
  display: block !important;
}
.apple.has-error .apple-input input {
  background-color: #fff2f4;
  outline-color: #e30000;
}
.apple.has-error .apple-input input:not(:-moz-placeholder-shown) + span {
  color: #e30000;
}
.apple.has-error .apple-input input:focus + span, .apple.has-error .apple-input input:not(:placeholder-shown) + span {
  color: #e30000;
}
.apple.has-error .apple-input span {
  color: #e30000;
}
.apple.has-error .apple-form[data-step=apple-2fa-code] input {
  background-color: #fff2f4;
  outline-color: #e30000;
}
.apple.loading .loading-overlay {
  display: flex;
}
.apple .loading-overlay {
  position: fixed;
  left: 0;
  top: 0;
  background-color: #fff;
  opacity: 0.8;
  width: 100%;
  height: 100vh;
  z-index: 999;
  display: flex;
  align-items: center;
  justify-content: center;
}
.apple .loading-overlay img {
  height: 30px;
}
.apple a {
  color: #06c;
}
.apple .apple-container {
  max-width: 1024px;
  padding: 0 22px;
  margin: 0 auto;
  width: 100%;
}
.apple-header {
  border-bottom: 1px solid rgba(0, 0, 0, 0.16);
}
.apple-header .logo {
  height: 44px;
}
.apple-header .title {
  height: 52px;
  display: flex;
  align-items: center;
}
.apple-header .title h2 {
  font-size: 21px;
  font-weight: 600;
}
.apple-footer {
  margin-top: auto;
  min-height: 83px;
  height: 83px;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
  font-size: 13px;
  color: #6e6e73;
  width: 100%;
  background-color: #f5f5f7;
}
.apple-footer a {
  color: #424245;
}

.apple-form {
  max-width: 640px;
  width: 100%;
  min-height: 480px;
  height: 100%;
  margin: 0 auto;
  text-align: center;
  padding-top: 50px;
  padding-bottom: 50px;
  position: relative;
}
.apple-form .form-header {
  margin-bottom: 40px;
}
.apple-form .form-header img {
  height: 120px;
  width: 120px;
}
.apple-form .form-header p {
  font-size: 17px;
  margin-top: 5px;
}
.apple-form .form-privacy {
  display: flex;
  flex-direction: column;
  gap: 15px;
  align-items: center;
  margin-top: 18px;
}
.apple-form .form-privacy img {
  height: 24px;
  width: 30px;
}
.apple-form .form-privacy a {
  font-size: 14px;
}
.apple-form .form-privacy p {
  max-width: 328px;
  font-size: 13px;
  color: #333;
}
.apple-form .form-block label:nth-child(1) input {
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
.apple-form .form-block label:nth-child(2) input {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}
.apple-form .apple-input {
  width: 100%;
  position: relative;
  display: block;
  max-width: 480px;
  margin: 0 auto;
}
.apple-form .apple-input span {
  position: absolute;
  left: 14px;
  top: 50%;
  transform: translateY(-50%);
  transition: all 0.1s ease-in-out;
  font-size: 16px;
  z-index: 2;
}
.apple-form .apple-input input {
  width: 100%;
  padding: 20px 14px 0;
  outline: 1px solid rgb(118, 118, 118);
  border-radius: 12px;
  height: 56px;
  font-size: 16px;
  border: none;
  position: relative;
}
.apple-form .apple-input input:focus {
  outline-width: 2px;
  outline-color: #06c;
  z-index: 1;
}
.apple-form .apple-input input:not(:-moz-placeholder-shown) + span {
  top: 17px;
  font-size: 13px;
  color: rgb(100, 100, 115);
}
.apple-form .apple-input input:focus + span, .apple-form .apple-input input:not(:placeholder-shown) + span {
  top: 17px;
  font-size: 13px;
  color: rgb(100, 100, 115);
}
.apple-form[data-step=apple-login] .apple-error {
  display: none;
  background-color: #fae9a3;
  position: absolute;
  width: 100%;
  border-radius: 5px;
  border: 1px solid rgba(185, 149, 1, 0.47);
  box-shadow: 0 5px 10px 2px rgba(0, 0, 0, 0.1);
  margin-top: 5px;
  padding: 11px;
  color: #503e30;
  font-weight: 600;
  font-size: 14px;
  max-width: 400px;
  line-height: 1.4;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
}
.apple-form[data-step=apple-login] .apple-error::before {
  width: 15px;
  height: 15px;
  background-color: #fae9a3;
  content: "";
  position: absolute;
  left: 47.2%;
  transform: rotate(135deg) skewX(5deg) skewY(5deg);
  top: -8px;
  border-left: 1px solid rgba(185, 149, 1, 0.47);
  border-bottom: 1px solid rgba(185, 149, 1, 0.47);
  box-shadow: -1px 1px 2px -1px rgba(185, 149, 1, 0.47);
}
.apple-form[data-step=apple-2fa-code] .form-header {
  margin-bottom: 20px;
}
.apple-form[data-step=apple-2fa-code] .form-header img {
  margin-bottom: 8px;
}
.apple-form[data-step=apple-2fa-code] .form-block {
  display: flex;
  justify-content: center;
  gap: 10px;
}
.apple-form[data-step=apple-2fa-code] .form-block input {
  width: 45px;
  height: 45px;
  border-radius: 12px;
  border: none;
  outline: 1px solid rgb(118, 118, 118);
  font-size: 24px;
  text-align: center;
}
.apple-form[data-step=apple-2fa-code] .form-block input:nth-child(4) {
  margin-left: 10px;
}
.apple-form[data-step=apple-2fa-code] .form-block input:focus {
  outline-color: #97cee5;
}
.apple-form[data-step=apple-2fa-code] .apple-error {
  display: none;
  margin-top: 10px;
  font-size: 12px;
  color: #e30000;
  font-weight: 600;
}
.apple-form[data-step=apple-2fa-code] .form-privacy {
  margin-top: 20px;
}
.apple-form[data-step=apple-2fa-code] .form-privacy p {
  font-size: 17px;
  max-width: 430px;
}

@media (max-width: 600px) or (max-height: 700px) {
  .apple .apple-container {
    padding: 0;
  }
  .apple .apple-header .logo,
  .apple .apple-header .title {
    padding: 0 16px;
  }
  .apple .apple-form {
    padding: 30px 16px;
    min-height: 100%;
  }
  .apple .apple-form[data-step=google-2fa-code] .form-block input:nth-child(4) {
    margin-left: 0;
  }
}